import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    service.createProfessorAndAddress(1, "name", 100, "street", "city", "state", "zip");

    System.out.println("Professors and Addresses:");
    for (Professor emp : service.findAllProfessors()) {
      System.out.print(emp);
    }

    
    util.checkData("select * from Professor");
    
    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}